.codes {
  background-color: khaki;

  &__last,
  &__suggest,
  &__popular {
    grid-column: center-start/center-end;
    display: grid;
    grid-template-rows: repeat(2, min-content);
    grid-row-gap: 6rem;
  }
}

.head {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  &__title {
    display: flex;
    align-items: center;
    font-family: $font-primary;
    font-size: 1.8rem;
    font-weight: bold;
    color: $color-white;
    & > img {
      width: 2.6rem;
      margin-left: 1rem;
    }
  }
  &__btn {
    justify-self: end;
    text-decoration: none;
    color: $color-white;
    font-size: 1.5rem;
    transition: all 0.3s;
    &:hover {
      color: $color-blue-hover;
    }
    &:hover i {
      transform: translateX(-4px);
    }
    & i {
      color: $color-blue-hover;
      transition: all 0.3s;
    }
  }
}

.post {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-gap: 3rem 4rem;
  transition: all 0.3s;

  &__item {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-row-gap: 2rem;
    // width: 26rem;
    width: 100%;
    // height: 2rem;
    background-color: #333333;
    border-radius: 1rem;
    transition: all 0.3s;
    cursor: pointer;
    &:hover {
      transform: translateY(-0.6rem);
    }
    &:hover .post__detail {
      opacity: 1;
    }
    &:hover .post__video--play {
      opacity: 0;
    }
  }
  &__img,
  &__video {
    z-index: 1;
    grid-column: 1/4;
    grid-row: 1/2;
    width: 100%;
    // height: 25rem;
    justify-self: center;
    border-radius: 1rem 1rem 2px 2px;
    @media only screen and (max-width: $bp-small) {
      height: 30rem;
    }
  }
  &__video {
    &--play {
      grid-column: 1/4;
      grid-row: 1/2;
      margin: 1.5rem;
      // justify-self: center;
      // align-self: center;
      z-index: 99;
      transition: all 0.4s;
      opacity: 1;
      //   transform: translateY(-100%);

      & i {
        color: $color-bg-cards;
        font-size: 3rem;
      }
    }
  }
  &__time {
    grid-column: 1/2;
    padding-right: 1.5rem;
    font-family: $font-num;
    font-size: 1.3rem;
    padding-bottom: 1rem;
    color: rgba($color: $color-white, $alpha: 0.75);
    & i {
      margin-left: 2px;
    }
  }
  &__name {
    grid-column: 1/-1;
    padding: 0 1.5rem;

    text-decoration: none;
    color: $color-white;
    transition: all 0.4s;

    &:hover {
      color: $color-blue-hover;
    }
    & h5 {
      font-family: $font-num;
      font-size: 1.4rem;
      font-weight: normal;
    }
  }

  &__prise {
    grid-column: 2/-1;
    justify-self: end;
    padding-left: 1.5rem;
    padding-bottom: 1rem;

    font-size: 1.4rem;
    font-family: $font-num;
    color: $color-green;

    & i {
      padding-left: 1px;
      font-size: 1.6rem;
    }
  }
  &__detail {
    grid-row: 1/2;
    grid-column: 1/-1;

    width: 100%;
    height: 100%;
    padding: 0 1.5rem;
    display: flex;
    justify-content: space-between;
    align-content: center;
    align-items: flex-end;

    font-family: $font-num;
    font-size: 1.3rem;
    color: $color-white;
    z-index: 9;
    background: linear-gradient(
      180deg,
      rgba(238, 239, 247, 0) 80%,
      rgba(51, 51, 51, 0.85) 94%,
      rgba(51, 51, 51, 0.9303921397660627) 97%,
      rgba(51, 51, 51, 0.9556022237996761) 100%
    );

    transition: opacity 300ms ease;
    opacity: 0;
    @media only screen and (max-width: $bp-medium) {
      opacity: 1;
      grid-row: 4/5;
      padding-bottom: 1.5rem;
    }
  }
}

.detail {
  &__item {
    & i {
      padding-left: 2px;
    }
    & span {
    }
    & svg {
      width: 1.5rem;
      height: 1.5rem;
      fill: #ccc;
    }
  }
}
